using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.SC
{
    [Description("文件附件")]
    public class T_SC_STANDARD_CREATE_FILE : MesEntityBase
    {
        [Description("标准化创建ID")]
        [DataFieldForeignKey("Nav_Standard", "Nav_Files")]
        public Guid STANDARD_CREATE_ID { get; set; }

        [Description("导航属性：标准化创建表")]
        public T_SC_STANDARD_CREATE Nav_Standard { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
